<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qianhe.bzsc.mapper.BzscCyglqglscMbzbMapper">
    
    <resultMap type="BzscCyglqglscMbzb" id="BzscCyglqglscMbzbResult">
        <result property="ID"    column="ID"    />
        <result property="nd"    column="nd"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
        <result property="yl1"    column="yl1"    />
        <result property="yl2"    column="yl2"    />
        <result property="yl3"    column="yl3"    />
        <result property="yl4"    column="yl4"    />
        <result property="yl5"    column="yl5"    />
    </resultMap>

    <sql id="selectBzscCyglqglscMbzbVo">
        select ID, nd, create_by, create_time, update_by, update_time, remark, yl1, yl2, yl3, yl4, yl5 from bzsc_cyglqglsc_mbzb
    </sql>

    <select id="selectBzscCyglqglscMbzbList" parameterType="BzscCyglqglscMbzb" resultMap="BzscCyglqglscMbzbResult">
        <include refid="selectBzscCyglqglscMbzbVo"/>
        <where>  
            <if test="nd != null  and nd != ''"> and nd = #{nd}</if>
            <if test="yl1 != null  and yl1 != ''"> and yl1 = #{yl1}</if>
            <if test="yl2 != null  and yl2 != ''"> and yl2 = #{yl2}</if>
            <if test="yl3 != null  and yl3 != ''"> and yl3 = #{yl3}</if>
            <if test="yl4 != null  and yl4 != ''"> and yl4 = #{yl4}</if>
            <if test="yl5 != null  and yl5 != ''"> and yl5 = #{yl5}</if>
        </where>
    </select>
    
    <select id="selectBzscCyglqglscMbzbByID" parameterType="Long" resultMap="BzscCyglqglscMbzbResult">
        <include refid="selectBzscCyglqglscMbzbVo"/>
        where ID = #{ID}
    </select>
        
    <insert id="insertBzscCyglqglscMbzb" parameterType="BzscCyglqglscMbzb" useGeneratedKeys="true" keyProperty="ID">
        insert into bzsc_cyglqglsc_mbzb
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="nd != null">nd,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
            <if test="yl1 != null">yl1,</if>
            <if test="yl2 != null">yl2,</if>
            <if test="yl3 != null">yl3,</if>
            <if test="yl4 != null">yl4,</if>
            <if test="yl5 != null">yl5,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="nd != null">#{nd},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
            <if test="yl1 != null">#{yl1},</if>
            <if test="yl2 != null">#{yl2},</if>
            <if test="yl3 != null">#{yl3},</if>
            <if test="yl4 != null">#{yl4},</if>
            <if test="yl5 != null">#{yl5},</if>
         </trim>
    </insert>

    <update id="updateBzscCyglqglscMbzb" parameterType="BzscCyglqglscMbzb">
        update bzsc_cyglqglsc_mbzb
        <trim prefix="SET" suffixOverrides=",">
            <if test="nd != null">nd = #{nd},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="yl1 != null">yl1 = #{yl1},</if>
            <if test="yl2 != null">yl2 = #{yl2},</if>
            <if test="yl3 != null">yl3 = #{yl3},</if>
            <if test="yl4 != null">yl4 = #{yl4},</if>
            <if test="yl5 != null">yl5 = #{yl5},</if>
        </trim>
        where ID = #{ID}
    </update>

    <delete id="deleteBzscCyglqglscMbzbByID" parameterType="Long">
        delete from bzsc_cyglqglsc_mbzb where ID = #{ID}
    </delete>

    <delete id="deleteBzscCyglqglscMbzbByIDs" parameterType="String">
        delete from bzsc_cyglqglsc_mbzb where ID in 
        <foreach item="ID" collection="array" open="(" separator="," close=")">
            #{ID}
        </foreach>
    </delete>
</mapper>